;  linkage stubs for new Intuition functions
;  :ts=8

* Copyright (c) 1989 Commodore-Amiga, Inc.
* 
* Executables based on this information may be used in software
* for Commodore Amiga computers. All other rights reserved.
* This information is provided "as is"; no warranties are made.
* All use is at your own risk, and no liability or responsibility
* is assumed.

	public	_IntuitionBase

	public	_QueryOverscan
_QueryOverscan
	move.l	4(sp),a0
	move.l	8(sp),a1
	move.l	12(sp),d0
	move.l	_IntuitionBase,a6
	jmp	-474(a6)

	public	_MoveWindowInFrontOf
_MoveWindowInFrontOf
	movem.l	4(sp),a0/a1
	move.l	_IntuitionBase,a6
	jmp	-480(a6)

	;	not so sure about this one
	public	_ChangeWindowBox
_ChangeWindowBox
	movem.l	d2/d3,-(sp)
	movem.l	12(sp),a0/d0/d1/d2/d3
	move.l	_IntuitionBase,a6
	jsr	-486(a6)
	movem.l	(sp)+,d2/d3


	public	_SetEditHook
_SetEditHook
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-492(a6)

	public	_SetMouseQueue
_SetMouseQueue
	movem.l	4(sp),a0/d0
	move.l	_IntuitionBase,a6
	jmp	-498(a6)

	public	_ZipWindow
_ZipWindow
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-504(a6)

	public	_LockPubScreen
_LockPubScreen
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-510(a6)

	public	_UnlockPubScreen
_UnlockPubScreen
	move.l	4(sp),a0/a1
	move.l	_IntuitionBase,a6
	jmp	-516(a6)

	public	_LockPubScreenList
_LockPubScreenList
	move.l	_IntuitionBase,a6
	jmp	-522(a6)

	public	_UnlockPubScreenList
_UnlockPubScreenList
	move.l	_IntuitionBase,a6
	jmp	-528(a6)

	public	_NextPubScreen
_NextPubScreen
	movem.l	4(sp),a0/a1
	move.l	_IntuitionBase,a6
	jmp	-534(a6)

	public	_SetDefaultPubScreen
_SetDefaultPubScreen
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-540(a6)

	public	_SetPubScreenModes
_SetPubScreenModes
	move.l	4(sp),d0
	move.l	_IntuitionBase,a6
	jmp	-546(a6)

	public	_PubScreenStatus
_PubScreenStatus
	move.l	4(sp),a0
	move.l	8(sp),d0
	move.l	_IntuitionBase,a6
	jmp	-552(a6)
	public _ObtainGIRPort
_ObtainGIRPort
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-558(a6)
	public	_FreeGIRPort
_FreeGIRPort
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-564(a6)
	public	_GadgetMouse
_GadgetMouse
	move.l	4(sp),a0
	move.l	8(sp),a1
	move.l	_IntuitionBase,a6
	jmp	-570(a6)

	public	_SetIPrefs
_SetIPrefs
	move.l	4(sp),a0
	move.l	8(sp),d0
	move.l	12(sp),d1
	move.l	_IntuitionBase,a6
	jmp	-576(a6)

	public	_GetDefaultPubScreen
_GetDefaultPubScreen
	move.l	4(sp),a0
	move.l	_IntuitionBase,a6
	jmp	-582(a6)

	end
